#ifndef MKF_DEFINITION_HPP_INCLUDED
#define MKF_DEFINITION_HPP_INCLUDED


#include"mkf_group.hpp"
#include"mkf_identifier.hpp"




class
Definition: public Group
{
  Identifier  identifier;

public:
  Definition();
  Definition(const char*  id, Element&&  el);
  Definition(const char*  id, std::vector<Element>&&  els);
  Definition(const char*&  p);
  Definition(const Definition&   rhs);
  Definition(      Definition&&  rhs);


  void  reset(const char*  id, Element&&  el);
  void  reset(const char*&  p);

  const Identifier&  get_identifier() const;

  void  print() const;

};




#endif




